ARG DOCKER_PREFIX=wapmobil/
FROM ${DOCKER_PREFIX}debian-base
RUN apt-get update && apt-get install -y dpkg debconf debhelper md5deep lsb-release libicu-dev libfftw3-dev libsodium-dev libassimp-dev libmarkdown2-dev ocl-icd-opencl-dev zlib1g-dev qtbase5-dev-tools qttools5-dev qtscript5-dev qtdeclarative5-dev qtpositioning5-dev qtmultimedia5-dev libqt5datavisualization5-dev qtbase5-private-dev qttools5-private-dev qt5-default libglew-dev doxygen graphviz liblua5.3-dev libmicrohttpd-dev libcurl4-openssl-dev && rm -rf /var/cache/apt/archives/*

ENV BUILD_TYPE=Release

WORKDIR /soft
